GET /api/external/hub/v1/catalog/items

Retrieve a list of catalog items belonging to the authenticated organization.

Query parameters

  • page integer

    Page number for pagination

  • per_page integer

    Number of items per page (default: 100)

Responses

  • 200 application/json

    catalog items retrieved successfully

    Hide response attributes Show response attributes object
    • id integer Required

      Item ID

    • name string | null

      Item name

    • mpn string | null

      Manufacturer Part Number

    • upc string | null

      Universal Product Code

    • hs_code string | null

      Harmonized System code

    • is_hazmat boolean | null

      Whether the item is hazmat

    • cold_storage_type string | null

      Cold storage type

    • can_expire boolean | null

      Whether the item can expire

GET /api/external/hub/v1/catalog/items
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/catalog/items'
Response examples (200)
[
  {
    "id": 42,
    "name": "string",
    "mpn": "string",
    "upc": "string",
    "hs_code": "string",
    "is_hazmat": true,
    "cold_storage_type": "string",
    "can_expire": true
  }
]